# DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Enum DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency

- java.lang.Object
- - java.lang.Enum<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>
  - - io.dapr.v1.DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>`

Enclosing class:
  DaprAppCallbackProtos.BindingEventResponse

    public static enum DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency
    extends Enum<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>
    implements com.google.protobuf.ProtocolMessageEnum

     BindingEventConcurrency is the kind of concurrency

Protobuf enum `dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency`

### Enum Constant Summary

Enum Constants
`PARALLEL` PARALLEL sends data to output bindings specified in "to" in parallel.
`SEQUENTIAL` SEQUENTIAL sends data to output bindings specified in "to" sequentially.
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `PARALLEL_VALUE` PARALLEL sends data to output bindings specified in "to" in parallel.
`static int` `SEQUENTIAL_VALUE` SEQUENTIAL sends data to output bindings specified in "to" sequentially.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>` `internalGetValueMap()`
`static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` `valueOf​(int value)` Deprecated.
`static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SEQUENTIAL

    public static final DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency SEQUENTIAL

     SEQUENTIAL sends data to output bindings specified in "to" sequentially.

`SEQUENTIAL = 0;`

#### PARALLEL

    public static final DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency PARALLEL

     PARALLEL sends data to output bindings specified in "to" in parallel.

`PARALLEL = 1;`

#### UNRECOGNIZED

    public static final DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency UNRECOGNIZED

### Field Detail

#### SEQUENTIAL_VALUE

    public static final int SEQUENTIAL_VALUE

     SEQUENTIAL sends data to output bindings specified in "to" sequentially.

`SEQUENTIAL = 0;`

See Also:
  Constant Field Values

#### PARALLEL_VALUE

    public static final int PARALLEL_VALUE

     PARALLEL sends data to output bindings specified in "to" in parallel.

`PARALLEL = 1;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency c : DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null